/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef atari8b_h
#define atari8b_h

#include <cairo.h>
#include <stdint.h>

typedef uint32_t atari8b_cairo_color_t;

extern atari8b_cairo_color_t atari8b_palette[256];

cairo_surface_t *atari8b_decode_image(uint8_t **bitplane, atari8b_cairo_color_t *palette);

#endif /* atari8b_h */
