/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef loa_draw_cairo_h
#define loa_draw_cairo_h

#include <cairo.h>

#include "loa-draw.h"

#define loa_draw_cairo_new(cr) (loa_draw_handle_t*)cairo_reference(cr)
#define loa_draw_cairo_new(h) cairo_destroy((cairo_t*)(h))

extern loa_draw_interface_t loa_draw_interface_cairo;

#endif /* loa_draw_cairo_h */
