#ifndef nil_cycle_h
#define nil_cycle_h

typedef struct{
    enum{
        NIL_CYCLE_OFF,
        NIL_CYCLE_LEFT,
        NIL_CYCLE_RIGHT
    }direction;
    double duration;
    int first;
    int last;
}nil_cycle_t;

int nil_cycle_total_frames(nil_cycle_t *, int count);
double nil_cycle_total_duration(nil_cycle_t *, int count);
void nil_cycle_apply_step(nil_cycle_t *, void *palette, int colorsize);
void nil_cycle_apply_time(nil_cycle_t *, double time, void *palette, int colorsize);

#endif /* nil_cycle_h */
